
RADOS - Bug #35845

osd-scrub-repair.sh:TEST_corrupt_scrub_replicated failed

09/07/2018 04:39 PM - Neha Ojha

Status: Resolved Start date: 09/07/2018

Priority: Normal Due date:  

Assignee: David Zafman % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Source: Development Reviewed:  

Tags:  Affected Versions:  

Backport: luminous,mimic ceph-qa-suite:  

Regression: No Component(RADOS):  

Severity: 3 - minor Pull request ID:  

Description

2018-09-06T17:29:18.115 INFO:tasks.workunit.client.0.smithi155.stderr:/home/ubuntu/cephtest/clone.

client.0/qa/standalone/scrub/osd-scrub-repair.sh:3003: TEST_corrupt_scrub_replicated:  '[' 2 '!=' 

0 ']'

2018-09-06T17:29:18.116 INFO:tasks.workunit.client.0.smithi155.stderr:/home/ubuntu/cephtest/clone.

client.0/qa/standalone/scrub/osd-scrub-repair.sh:3005: TEST_corrupt_scrub_replicated:  echo 'TEST 

FAILED WITH 2 ERRORS'

2018-09-06T17:29:18.116 INFO:tasks.workunit.client.0.smithi155.stderr:/home/ubuntu/cephtest/clone.

client.0/qa/standalone/scrub/osd-scrub-repair.sh:3006: TEST_corrupt_scrub_replicated:  return 1

2018-09-06T17:29:18.116 INFO:tasks.workunit.client.0.smithi155.stdout:TEST FAILED WITH 2 ERRORS

 

/a/yuriw-2018-09-06_15:14:44-rados-wip-yuriw--9.5.18_mimic-distro-basic-smithi/2985283/

Related issues:

Copied to RADOS - Backport #35909: mimic: osd-scrub-repair.sh:TEST_corrupt_sc... Resolved

Copied to RADOS - Backport #36393: luminous: osd-scrub-repair.sh:TEST_corrupt... Resolved

History

#1 - 09/07/2018 06:43 PM - David Zafman

This must be caused by differences in the grep command on different distributions.  It passes sometimes including on my build machine Ubuntu

16.04.

The 2 errors are missing log entries.  However, looking at the logs shows that they are present.  Notice that brackets "[" and in some case parens "("

")" are escaped.  I think the first one is broken because parens aren't always escaped, But I'm not sure why the second one also fails.

Missing log message 'log_channel[(]cluster[)] log [[]ERR[]] : scrub [0-9]*[.]0 3:5c7b2c47:::ROBJ16:head : can't decode 'snapset' attr

buffer::malformed_input: void SnapSet::decode(ceph::buffer::list::const_iterator&) no longer understand old encoding version 3 < 97'

Missing log message 'log_channel[(]cluster[)] log [[]ERR[]] : deep-scrub [0-9]*[.]0 3:5c7b2c47:::ROBJ16:head : can't decode 'snapset' attr

buffer::malformed_input: void SnapSet::decode[(]ceph::buffer::list::const_iterator&[)] no longer understand old encoding version 3 < 97'

#2 - 09/07/2018 11:15 PM - David Zafman

- Subject changed from mimic:osd-scrub-repair.sh:TEST_corrupt_scrub_replicated failed to osd-scrub-repair.sh:TEST_corrupt_scrub_replicated failed
- Status changed from New to In Progress

- Source set to Development

- Backport set to mimic, luminous

#3 - 09/07/2018 11:26 PM - David Zafman

https://github.com/ceph/ceph/pull/23991

#4 - 09/08/2018 02:56 AM - David Zafman

It turns out this is just a difference in the iterator for the function throwing the exception.

log_channel(cluster) log [ERR] : scrub 3.0 3:5c7b2c47:::ROBJ16:head : can't decode 'snapset' attr buffer::malf

ormed_input: void SnapSet::decode(ceph::buffer::list::const_iterator&) no longer understand old encoding versi

on 3 < 97

vs

log_channel(cluster) log [ERR] : scrub 3.0 3:5c7b2c47:::ROBJ16:head : can't decode 'snapset' attr buffer::malf

ormed_input: void SnapSet::decode(ceph::buffer::list::iterator&) no longer understand old encoding version 3 <

 97

#5 - 09/08/2018 06:31 AM - Nathan Cutler

- Backport changed from mimic, luminous to mimic, luminous, jewel

Adding jewel because we are seeing an "osd-scrub-repair.sh" make check issue in jewel (not sure if it's this same issue, but it seems wise to backport

any fixes to jewel as well, as long as downstreams are using it).

#6 - 09/10/2018 03:24 PM - David Zafman

https://github.com/ceph/ceph/pull/24013

#7 - 09/10/2018 03:36 PM - David Zafman

- Copied to Backport #35909: mimic: osd-scrub-repair.sh:TEST_corrupt_scrub_replicated failed added

#8 - 09/10/2018 09:00 PM - David Zafman

- Backport changed from mimic, luminous, jewel to mimic

The test code that needs to be fixed is only present in Mimic and master.

#9 - 10/05/2018 02:35 PM - Neha Ojha

2018-10-05T10:58:17.914 INFO:tasks.workunit.client.0.smithi029.stdout:TEST FAILED WITH 4 ERRORS

2018-10-05T10:58:17.914 INFO:tasks.workunit.client.0.smithi029.stderr:/home/ubuntu/cephtest/clone.client.0/qa/

standalone/scrub/osd-scrub-repair.sh:3009: TEST_corrupt_scrub_replicated:  '[' 4 '!=' 0 ']'

2018-10-05T10:58:17.914 INFO:tasks.workunit.client.0.smithi029.stderr:/home/ubuntu/cephtest/clone.client.0/qa/

standalone/scrub/osd-scrub-repair.sh:3011: TEST_corrupt_scrub_replicated:  echo 'TEST FAILED WITH 4 ERRORS'

2018-10-05T10:58:17.914 INFO:tasks.workunit.client.0.smithi029.stderr:/home/ubuntu/cephtest/clone.client.0/qa/

standalone/scrub/osd-scrub-repair.sh:3012: TEST_corrupt_scrub_replicated:  return 1

 

/a/yuriw-2018-10-04_23:07:41-rados-wip-yuri-testing-2018-10-04-2118-luminous-distro-basic-smithi/3102041/
https://github.com/ceph/ceph/pull/23991
https://github.com/ceph/ceph/pull/24013


David, this seems to be present in luminous as well.

#10 - 10/10/2018 11:38 PM - Neha Ojha

- Backport changed from mimic to luminous,mimic

#11 - 10/10/2018 11:51 PM - David Zafman

- Copied to Backport #36393: luminous: osd-scrub-repair.sh:TEST_corrupt_scrub_replicated failed added

#12 - 10/11/2018 06:25 PM - Nathan Cutler

- Status changed from In Progress to Pending Backport

#13 - 10/26/2018 02:33 AM - Nathan Cutler

- Status changed from Pending Backport to Resolved
